Bug 1415287 - VLC fullscreen occasionally hangs wayland
VLC fullscreen occasionally hangs wayland
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-20 13:29 EST by Andy Wang
Modified: 2017-12-12 05:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:49:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wang 2017-01-20 13:29:26 EST
Description of problem:
When playing back videos with VLC in fullscreen, gnome under wayland occasionally hangs hard.  Using wayland with gnome3 and amd radeon open source drivers with an r9 290x gpu.

xorg-x11-server-Xwayland-1.19.1-2.fc25.x86_64
gnome-session-wayland-session-3.22.2-3.fc25.x86_64
vlc-core-3.0.0-0.11.fc25.x86_64
vlc-3.0.0-0.11.fc25.x86_64

I found this:
https://bugs.launchpad.net/ubuntu-gnome/+bug/1643481
Which points to the same thing and fedora 25 is already way past that gtk version:
gtk3-3.22.6-2.fc25.x86_64

I haven't been able to find any errors in kernel logs, or the systemd journal but I'm not sure what to look for.

It happens infrequently enough too that it's tough to troubleshoot, but I'm more than glad to attempt to grab more details the next time it happens.  I just have no idea what to grab.
Comment 1 Fedora End Of Life 2017-11-16 14:38:31 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:49:39 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.